# FoundationClasses
TKAdvTools
ExprIntrp

# ExprIntrp_GenFct Class Reference

Implements an interpreter for defining functions.
All its functionnalities can be found in class
GenExp.
.

`#include <ExprIntrp_GenFct.hxx>`

Inheritance diagram for ExprIntrp_GenFct:

[legend]

## Public Member Functions

Standard_EXPORT void | Process (const TCollection_AsciiString &str)
Standard_EXPORT Standard_Boolean | IsDone () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Handle_ExprIntrp_GenFct | Create ()

## Private Member Functions

Standard_EXPORT | ExprIntrp_GenFct ()

## Private Attributes

Standard_Boolean | done

## Constructor & Destructor Documentation

Standard_EXPORT ExprIntrp_GenFct::ExprIntrp_GenFct | ( |  | ) | `[private]`

## Member Function Documentation

static Standard_EXPORT Handle_ExprIntrp_GenFct ExprIntrp_GenFct::Create | ( |  | ) | `[static]`

Standard_EXPORT const ExprIntrp_GenFct::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from ExprIntrp_Generator.

Standard_EXPORT Standard_Boolean ExprIntrp_GenFct::IsDone | ( |  | ) | const

Standard_EXPORT void ExprIntrp_GenFct::Process | ( | const TCollection_AsciiString & | str | ) |

## Field Documentation

Standard_Boolean ExprIntrp_GenFct::done `[private]`

The documentation for this class was generated from the following file:

- ExprIntrp_GenFct.hxx